body {
  position: relative;
}

.floating {
  position: fixed;
  right: 0;
  bottom: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  z-index: 999;
}
@media only screen and (max-width: 560px) {
  .floating {
    width: 100%;
    right: unset;
    bottom: 0;
    flex-direction: row;
    padding: 0 10px;
    gap: 10px;
  }
}
@media only screen and (max-width: 560px) {
  .floating li {
    width: calc((100% - 10px) / 2);
  }
}
.floating li a {
  display: block;
  padding: 70px 20px 20px;
  border-radius: 20px 0 0 20px;
  background: #f60;
  color: #fff;
  writing-mode: vertical-rl;
  font-size: 1.6rem;
  font-weight: bold;
  position: relative;
}
@media only screen and (max-width: 560px) {
  .floating li a {
    border-radius: 20px 20px 0 0;
    writing-mode: unset;
    padding: 10px 10px 10px 50px;
    font-size: 1.4rem;
  }
}
.floating li a::before {
  position: absolute;
  content: "";
  width: 40px;
  height: 40px;
  background: url(../images/icon_court.svg) no-repeat center center/contain;
  top: 20px;
  left: 20px;
}
@media only screen and (max-width: 560px) {
  .floating li a::before {
    width: 30px;
    height: 30px;
    left: 10px;
    top: 10px;
  }
}
.floating li a strong {
  font-size: 2.4rem;
}
@media only screen and (max-width: 560px) {
  .floating li a strong {
    font-size: 1.8rem;
  }
}
.floating li:last-child a {
  background: #03113d;
}
.floating li:last-child a::before {
  background: url(../images/icon_koal.svg) no-repeat center center/contain;
}